Unless stated otherwise, this page refers to Ukrainian companies and individual entrepreneurs and uses identifiers from Ukrainian public registries.
This section describes requests used to work with EIA cases, EIA documents, post-project monitoring reports, and EIA public hearings related to an enterprise.
EIA case list
GET /api/v1/enterprises/{registry_id}/eia-cases
This request returns EIA cases related to the enterprise.
The registry_id parameter in the request path is required. It is the enterprise identifier.
Example request
$ ESG_API_TOKEN="your_api_token"
$ curl "https://esg.saveecobot.com/api/v1/enterprises/00178353/eia-cases" \
-H "Authorization: Bearer $ESG_API_TOKEN" \
-H 'Accept: application/json'
Example response
{
"results": {
"enterprise": { "type": "company", "registry_id": "00178353" },
"items": [
{
"id": 9132,
"registry_id": "20221012345",
"old_registry_id": "20221012345",
"registry_type": "Екосистема",
"status_id": 7,
"status_name": "Public discussion started",
"authority_name": "Ministry of Environmental Protection and Natural Resources of Ukraine",
"name": "Planned activity case",
"address": "Kyiv region, Boryspil district",
"description": "Construction of an industrial site",
"region": "Київська область",
"published_at": "2024-10-05",
"documents_count": 6,
"hearings_count": 1,
"monitoring_reports_count": 2,
"monitoring_status_id": 1,
"monitoring_status_name": "Post-project monitoring is in progress",
"monitoring_frequency": "Annually",
"last_monitoring_report": "2024",
"links": {
"details": "https://esg.saveecobot.com/api/v1/enterprises/00178353/eia-case-details/9132",
"documents": "https://esg.saveecobot.com/api/v1/enterprises/00178353/eia-cases/9132/documents",
"monitoring_reports": "https://esg.saveecobot.com/api/v1/enterprises/00178353/eia-cases/9132/monitoring-reports",
"hearings": "https://esg.saveecobot.com/api/v1/enterprises/00178353/eia-cases/9132/hearings"
}
}
],
"pagination": { "current_page": 1, "per_page": 20, "total": 1, "last_page": 1 }
},
"stats": { "..." }
}
Pagination parameters
page: page number.
Response fields
results.items[]: EIA case objects with identifiers, status, authority, address, publication date, related-resource counts, and links.results.items[].monitoring_reports_count: number of post-project monitoring reports related to the case.results.items[].monitoring_status_id: post-project monitoring status identifier.results.items[].monitoring_status_name: post-project monitoring status name.results.items[].monitoring_frequency: established post-project monitoring frequency.results.items[].last_monitoring_report: human-readable label of the latest post-project monitoring report.results.items[].links.monitoring_reports: link to post-project monitoring reports for the case.
EIA case details
GET /api/v1/enterprises/{registry_id}/eia-case-details/{case_id}
This request returns full data for a specific EIA case.
The registry_id and case_id parameters in the request path are required. registry_id is the enterprise identifier. case_id is the EIA case identifier.
Example request
$ ESG_API_TOKEN="your_api_token"
$ curl "https://esg.saveecobot.com/api/v1/enterprises/00178353/eia-case-details/9132" \
-H "Authorization: Bearer $ESG_API_TOKEN" \
-H 'Accept: application/json'
Example response
{
"results": {
"enterprise": { "type": "company", "registry_id": "00178353" },
"object": {
"id": 9132,
"registry_id": "20221012345",
"old_registry_id": "20221012345",
"registry_type": "Екосистема",
"status_id": 7,
"status_name": "Public discussion started",
"authority_name": "Ministry of Environmental Protection and Natural Resources of Ukraine",
"name": "Planned activity case",
"address": "Kyiv region, Boryspil district",
"description": "Construction of an industrial site",
"region": "Київська область",
"published_at": "2024-10-05",
"documents_count": 6,
"hearings_count": 1,
"monitoring_reports_count": 2,
"monitoring_status_id": 1,
"monitoring_status_name": "Post-project monitoring is in progress",
"monitoring_frequency": "Annually",
"monitoring_comment": "Monitoring is performed in accordance with the EIA conclusion",
"last_monitoring_report": "2024",
"links": {
"documents": "https://esg.saveecobot.com/api/v1/enterprises/00178353/eia-cases/9132/documents",
"monitoring_reports": "https://esg.saveecobot.com/api/v1/enterprises/00178353/eia-cases/9132/monitoring-reports",
"hearings": "https://esg.saveecobot.com/api/v1/enterprises/00178353/eia-cases/9132/hearings"
}
}
},
"stats": { "..." }
}
Response fields
results.object: full EIA case object with the same fields as a list item.results.object.monitoring_comment: additional post-project monitoring comment returned in case details.results.object.links.monitoring_reports: link to post-project monitoring reports for the case.
Enterprise EIA documents
GET /api/v1/enterprises/{registry_id}/eia-documents
This request returns EIA documents related to the enterprise.
Filters
document_type_id: EIA document type identifier.
Example request
$ ESG_API_TOKEN="your_api_token"
$ curl "https://esg.saveecobot.com/api/v1/enterprises/00178353/eia-documents" \
-H "Authorization: Bearer $ESG_API_TOKEN" \
-H 'Accept: application/json'
Example response
{
"results": {
"enterprise": { "type": "company", "registry_id": "00178353" },
"items": [
{
"id": 501,
"registry_id": "20221012345-1",
"type_id": 1,
"type_name": "Повідомлення про плановану діяльність",
"name": "EIA document",
"format": "pdf",
"size": 245133,
"uploaded_at": "2024-10-05T11:24:18+03:00",
"downloaded_at": "2024-10-05T11:24:18+03:00",
"case": {
"id": 9132,
"registry_id": "20221012345",
"old_registry_id": "20221012345",
"registry_type": "Старий реєстр",
"status_id": 7,
"status_name": "Public discussion started",
"authority_name": "Ministry of Environmental Protection and Natural Resources of Ukraine",
"name": "Planned activity case",
"address": "Kyiv region, Boryspil district",
"region": "Київська область",
"published_at": "2024-10-05",
"monitoring_status_id": 1,
"monitoring_status_name": "Post-project monitoring is in progress",
"monitoring_frequency": "Annually",
"last_monitoring_report": "2024"
},
"links": {
"download": "https://esg.saveecobot.com/api/v1/enterprises/00178353/eia-documents/501/download",
"receipt": "https://esg.saveecobot.com/api/v1/enterprises/00178353/eia-documents/501/receipt"
}
}
],
"pagination": { "current_page": 1, "per_page": 20, "total": 6, "last_page": 1 },
"filters": { "document_type_id": 1 }
},
"stats": { "..." }
}
Response fields
results.items[].case.old_registry_id: case identifier from the legacy EIA registry, when available.results.items[].case.registry_type: source registry type for the case, eitherЕкосистемаorСтарий реєстр.results.items[].case.status_id: EIA case status identifier.results.items[].case.status_name: current EIA case status name.
EIA document download
GET /api/v1/enterprises/{registry_id}/eia-documents/{document_id}/download
This request returns the EIA document file for download.
The registry_id and document_id parameters in the request path are required. registry_id is the enterprise identifier. document_id is the EIA document identifier.
Example request
$ ESG_API_TOKEN="your_api_token"
$ curl -L "https://esg.saveecobot.com/api/v1/enterprises/00178353/eia-documents/501/download" \
-H "Authorization: Bearer $ESG_API_TOKEN"
EIA document receipt
GET /api/v1/enterprises/{registry_id}/eia-documents/{document_id}/receipt
This request returns a PDF receipt for an EIA document. The original document and its receipt share one billable document identity.
Example request
$ ESG_API_TOKEN="your_api_token"
$ curl -L "https://esg.saveecobot.com/api/v1/enterprises/00178353/eia-documents/501/receipt" \
-H "Authorization: Bearer $ESG_API_TOKEN"
Enterprise EIA post-project monitoring reports
GET /api/v1/enterprises/{registry_id}/eia-monitoring-reports
This request returns post-project monitoring reports associated with the enterprise's EIA cases. The response is paginated.
Example request
$ ESG_API_TOKEN="your_api_token"
$ curl "https://esg.saveecobot.com/api/v1/enterprises/14226133/eia-monitoring-reports?page=1" \
-H "Authorization: Bearer $ESG_API_TOKEN" \
-H 'Accept: application/json'
Example response
{
"results": {
"enterprise": { "type": "company", "registry_id": "14226133" },
"items": [
{
"id": 12,
"name": "Результати післяпроєктного моніторингу за підсумками 2019 року",
"date": null,
"year": 2019,
"quarter": null,
"period": "Рік",
"authority_name": null,
"region": "Чернігівська область",
"files_count": 1,
"links": {
"download": "https://esg.saveecobot.com/api/v1/enterprises/14226133/eia-monitoring-reports/12/download",
"receipt": "https://esg.saveecobot.com/api/v1/enterprises/14226133/eia-monitoring-reports/12/receipt"
},
"cases": [
{
"id": 2161,
"registry_id": "20192282973",
"old_registry_id": "20192282973",
"registry_type": "Старий реєстр",
"status_id": 12,
"status_name": "Рішення отримано",
"authority_name": "Департамент екології та природніх ресурсів Чернігівської обласної державної адміністрації",
"name": "Зберігання рідких паливно-мастильних матеріалів у місті Чернігові",
"address": "14026, Чернігівська обл., м. Чернігів, вул. Елеваторна, буд. 1",
"region": "Чернігівська область",
"published_at": "2019-03-01",
"monitoring_status_id": null,
"monitoring_status_name": null,
"monitoring_frequency": null,
"last_monitoring_report": null
}
]
}
],
"pagination": {
"current_page": 1,
"per_page": 20,
"total": 1,
"last_page": 1
}
},
"stats": { "...": "..." }
}
Response fields
results.items[].id: post-project monitoring report identifier.results.items[].name: report name.results.items[].date: report date, when available.results.items[].year: reporting year.results.items[].quarter: reporting quarter, when available.results.items[].period: human-readable reporting period.results.items[].authority_name: authority responsible for the report.results.items[].region: report region.results.items[].files_count: number of available report files.results.items[].links.download: primary file download URL.results.items[].links.receipt: primary file PDF receipt URL.results.items[].cases: EIA cases associated with the report.
EIA post-project monitoring report download
GET /api/v1/enterprises/{registry_id}/eia-monitoring-reports/{report_id}/download
This request returns the primary file of an EIA post-project monitoring report.
Example request
$ ESG_API_TOKEN="your_api_token"
$ curl -L "https://esg.saveecobot.com/api/v1/enterprises/14226133/eia-monitoring-reports/12/download" \
-H "Authorization: Bearer $ESG_API_TOKEN"
EIA post-project monitoring report receipt
GET /api/v1/enterprises/{registry_id}/eia-monitoring-reports/{report_id}/receipt
This request returns a PDF receipt for the primary report file. The original file and its receipt share one billable document identity.
Example request
$ ESG_API_TOKEN="your_api_token"
$ curl -L "https://esg.saveecobot.com/api/v1/enterprises/14226133/eia-monitoring-reports/12/receipt" \
-H "Authorization: Bearer $ESG_API_TOKEN"
Enterprise EIA hearings
GET /api/v1/enterprises/{registry_id}/eia-hearings
This request returns public hearings related to EIA cases of the enterprise. Each hearing includes a nested case block with short information about the related EIA case.
Example request
$ ESG_API_TOKEN="your_api_token"
$ curl "https://esg.saveecobot.com/api/v1/enterprises/24584661/eia-hearings" \
-H "Authorization: Bearer $ESG_API_TOKEN" \
-H 'Accept: application/json'
Example response
{
"results": {
"enterprise": { "type": "company", "registry_id": "24584661" },
"items": [
{
"id": 1414,
"datetime": "2024-12-27T16:00:00+00:00",
"url": "https://mepr.webex.com/mepr-ru/j.php?MTID=m347a70d922c095c69f36467802c02558 Номер наради: 2365 701 6692 Пароль: spM598DDXx5",
"address": null,
"comments": null,
"case": {
"id": 9035,
"registry_id": "5333",
"old_registry_id": null,
"registry_type": "Екосистема",
"status_id": 12,
"status_name": "Date and time of public hearing determined",
"authority_name": "Ministry of Environmental Protection and Natural Resources of Ukraine",
"name": "Будівництво енергоблоків № 5, 6 з реакторною установкою АР1000 на майданчику Хмельницької АЕС",
"address": null,
"region": "Хмельницька область",
"published_at": "2024-03-29",
"monitoring_status_id": null,
"monitoring_status_name": null,
"monitoring_frequency": null,
"last_monitoring_report": null
}
}
],
"pagination": { "current_page": 1, "per_page": 20, "total": 3, "last_page": 1 }
},
"stats": { "..." }
}
Response fields
results.items[].case.old_registry_id: case identifier from the legacy EIA registry, when available.results.items[].case.registry_type: source registry type for the case, eitherЕкосистемаorСтарий реєстр.results.items[].case.status_id: EIA case status identifier.results.items[].case.status_name: current EIA case status name.results.items[].case.monitoring_status_id: post-project monitoring status identifier.results.items[].case.monitoring_status_name: post-project monitoring status name.results.items[].case.monitoring_frequency: established post-project monitoring frequency.results.items[].case.last_monitoring_report: label of the latest post-project monitoring report.
Documents of an EIA case
GET /api/v1/enterprises/{registry_id}/eia-cases/{case_id}/documents
This request returns EIA documents for a specific EIA case.
The registry_id and case_id parameters in the request path are required. registry_id is the enterprise identifier. case_id is the EIA case identifier.
Example request
$ ESG_API_TOKEN="your_api_token"
$ curl "https://esg.saveecobot.com/api/v1/enterprises/00178353/eia-cases/9132/documents" \
-H "Authorization: Bearer $ESG_API_TOKEN" \
-H 'Accept: application/json'
Example response
{
"results": {
"enterprise": { "type": "company", "registry_id": "00178353" },
"object": {
"id": 9132,
"registry_id": "20221012345",
"old_registry_id": "20221012345",
"registry_type": "Старий реєстр",
"status_id": 7,
"status_name": "Public discussion started",
"authority_name": "Ministry of Environmental Protection and Natural Resources of Ukraine",
"name": "Planned activity case",
"address": "Kyiv region, Boryspil district",
"region": "Київська область",
"published_at": "2024-10-05",
"monitoring_status_id": 1,
"monitoring_status_name": "Post-project monitoring is in progress",
"monitoring_frequency": "Annually",
"last_monitoring_report": "2024"
},
"items": [],
"filters": { "document_type_id": null }
},
"stats": { "..." }
}
Response fields
results.object.old_registry_id: case identifier from the legacy EIA registry, when available.results.object.registry_type: source registry type for the case, eitherЕкосистемаorСтарий реєстр.results.object.status_id: EIA case status identifier.results.object.status_name: current EIA case status name.results.object.monitoring_status_id: post-project monitoring status identifier.results.object.monitoring_status_name: post-project monitoring status name.results.object.monitoring_frequency: established post-project monitoring frequency.results.object.last_monitoring_report: label of the latest post-project monitoring report.
EIA post-project monitoring reports for one case
GET /api/v1/enterprises/{registry_id}/eia-cases/{case_id}/monitoring-reports
This request returns all post-project monitoring reports associated with one EIA case. The object block contains a short case representation. Items use the same report structure as the enterprise-wide list, without the nested cases array.
Example request
$ ESG_API_TOKEN="your_api_token"
$ curl "https://esg.saveecobot.com/api/v1/enterprises/14226133/eia-cases/2161/monitoring-reports" \
-H "Authorization: Bearer $ESG_API_TOKEN" \
-H 'Accept: application/json'
Example response
{
"results": {
"enterprise": { "type": "company", "registry_id": "14226133" },
"object": {
"id": 2161,
"registry_id": "20192282973",
"old_registry_id": "20192282973",
"registry_type": "Старий реєстр",
"status_id": 12,
"status_name": "Рішення отримано",
"authority_name": "Департамент екології та природніх ресурсів Чернігівської обласної державної адміністрації",
"name": "Зберігання рідких паливно-мастильних матеріалів у місті Чернігові",
"address": "14026, Чернігівська обл., м. Чернігів, вул. Елеваторна, буд. 1",
"region": "Чернігівська область",
"published_at": "2019-03-01",
"monitoring_status_id": null,
"monitoring_status_name": null,
"monitoring_frequency": null,
"last_monitoring_report": null
},
"items": [
{
"id": 12,
"name": "Результати післяпроєктного моніторингу за підсумками 2019 року",
"date": null,
"year": 2019,
"quarter": null,
"period": "Рік",
"authority_name": null,
"region": "Чернігівська область",
"files_count": 1,
"links": {
"download": "https://esg.saveecobot.com/api/v1/enterprises/14226133/eia-monitoring-reports/12/download",
"receipt": "https://esg.saveecobot.com/api/v1/enterprises/14226133/eia-monitoring-reports/12/receipt"
}
}
]
},
"stats": { "...": "..." }
}
Response fields
results.object: short EIA case data, including post-project monitoring status and frequency.results.items[]: post-project monitoring reports for this case without the nestedcasesarray.
Hearings of an EIA case
GET /api/v1/enterprises/{registry_id}/eia-cases/{case_id}/hearings
This request returns public hearings for a specific EIA case.
The registry_id and case_id parameters in the request path are required. registry_id is the enterprise identifier. case_id is the EIA case identifier.
Example request
$ ESG_API_TOKEN="your_api_token"
$ curl "https://esg.saveecobot.com/api/v1/enterprises/24584661/eia-cases/9035/hearings" \
-H "Authorization: Bearer $ESG_API_TOKEN" \
-H 'Accept: application/json'
Example response
{
"results": {
"enterprise": { "type": "company", "registry_id": "24584661" },
"object": {
"id": 9035,
"registry_id": "5333",
"old_registry_id": null,
"registry_type": "Екосистема",
"status_id": 12,
"status_name": "Date and time of public hearing determined",
"authority_name": "Ministry of Environmental Protection and Natural Resources of Ukraine",
"name": "Будівництво енергоблоків № 5, 6 з реакторною установкою АР1000 на майданчику Хмельницької АЕС",
"address": null,
"region": "Хмельницька область",
"published_at": "2024-03-29",
"monitoring_status_id": null,
"monitoring_status_name": null,
"monitoring_frequency": null,
"last_monitoring_report": null
},
"items": [
{
"id": 1414,
"datetime": "2024-12-27T16:00:00+00:00",
"url": "https://mepr.webex.com/mepr-ru/j.php?MTID=m347a70d922c095c69f36467802c02558 Номер наради: 2365 701 6692 Пароль: spM598DDXx5",
"address": null,
"comments": null
}
]
},
"stats": { "..." }
}
Response fields
results.object.old_registry_id: case identifier from the legacy EIA registry, when available.results.object.registry_type: source registry type for the case, eitherЕкосистемаorСтарий реєстр.results.object.status_id: EIA case status identifier.results.object.status_name: current EIA case status name.results.object.monitoring_status_id: post-project monitoring status identifier.results.object.monitoring_status_name: post-project monitoring status name.results.object.monitoring_frequency: established post-project monitoring frequency.results.object.last_monitoring_report: label of the latest post-project monitoring report.